API v1 is being deprecated. Greip will continue to support existing v1 integrations for now, but new endpoints, fields, and documentation updates ship on API v2 only. Switch the docs version to API v2 (recommended) or follow the Migrate from API v1 to v2 guide to upgrade your integration.
{ "status": "error", "code": 101, "type": "invalid_key", "description": "The API Key is missing or invalid."}
Data Lookup
IP Lookup
Use this API to retrieve comprehensive information about a given IP address. It provides details such as location, ISP, and potential risk factors, enabling you to analyze and verify IP data for enhanced security, fraud prevention, and user profiling.
API v1 is being deprecated. Greip will continue to support existing v1 integrations for now, but new endpoints, fields, and documentation updates ship on API v2 only. Switch the docs version to API v2 (recommended) or follow the Migrate from API v1 to v2 guide to upgrade your integration.
{ "status": "error", "code": 101, "type": "invalid_key", "description": "The API Key is missing or invalid."}
Query Parameters
string
required
The ip command is used to specify the IP address you want to lookup.Expected values: an IP address (IPv4 or IPv6)Sample value: 1.1.1.1
string
The params command can be used to specify the required modules you want to get
in the response.Expected values: security, currency, timezone, and/or location.Sample value: security,timezone,currencyFor more information please refer to Customize response modules.
string
default:"JSON"
The format command is used to get a response in a specific format.Expected values: JSON, XML, CSV, or NewlineFor more information please refer to Response Format.
string
default:"EN"
The lang command is used to get a response in a specific language.Expected values: EN, AR, DE, FR, ES, JA, ZH, or RUFor more information please refer to Localization.
string
default:"live"
The mode command is used to in the development stage to simulate the integration process before releasing it to the production environment.Expected values: live, or test.For more information please refer to Development Environment.
string
The userID command can be used to identify requests sent by specific users to monitor in the Events Page.Expected values: email address, phone number, user id, name, etc.For more information please refer to User Identifier.
string
The callback command can help you make the response as a JSONP format.Expected values: any name that can be used as a function name in Javascript, e.g: myFunctionName.For more information please refer to JSONP Callback.
Response properties
object
required
Hide properties
string
required
IP address you’re looking up.
string
required
Type of IP address (IPv4, or IPv6).
integer
required
Numeric representation of the IP address.
boolean
required
Indicates if the IP address is a bogon.
string
required
Name of the continent where the IP address is.
string
required
Code representation of the continent.
string
required
Code representation of the country in ISO-3166 format.
integer
required
GeoName ID of the continent.
string
required
Name of the country.
integer
required
GeoName ID of the country.
string
required
Name of the region.
string
required
Name of the city.
string
required
ZIP code of the location where the IP address belong.
string
required
Latitude coordinate of the location.
string
required
Longitude coordinate of the location.
object
required
Show details
string
required
Capital city of the country.
integer
required
Population of the country.
object
required
Show details
string
required
Official language of the country.
string
required
Language code in ISO-639 format.
string
required
Native name of the language.
object
required
Show details
string
required
Flag emoji representation.
string
required
Flag Unicode representation.
object
required
Show images
string
required
URL to 1000px PNG flag.
string
required
URL to 250px PNG flag.
string
required
URL to 100px PNG flag.
string
required
URL to SVG flag.
string
required
International dialing code for the country.
boolean
required
Indicates if the country is in the EU.
string
required
List of neighboring countries’ codes.
string
required
Top-level domain of the country.
object
required
Show details
string
required
Name of the currency.
string
required
Currency code in ISO-4217 format.
string
required
Symbol of the currency.
object
required
Show details
string
required
Autonomous System Number.
string
required
Name of the ASN.
string
required
Organization associated with the ASN.
string
required
Phone contact for the ASN.
string
required
Email contact for the ASN.
string
required
Domain associated with the ASN.
string
required
Date of ASN creation.
string
required
Type of organization (“isp”, “hosting”, “business”, “education”, or
“government”).
object
required
Show details
string
required
Timezone name.
string
required
Timezone abbreviation.
integer
required
Timezone offset from UTC.
string
required
Current time in the timezone.
integer
required
Current timestamp in the timezone.
boolean
required
Indicates if Daylight Saving Time is active.
object
required
Show details
string
required
Sunset time.
string
required
Sunrise time.
string
required
Solar transit time.
string
required
Civil twilight begin time.
string
required
Civil twilight end time.
string
required
Nautical twilight begin time.
string
required
Nautical twilight end time.
string
required
Astronomical twilight begin time.
string
required
Astronomical twilight end time.
string
required
Length of the day.
object
required
Show details
boolean
required
Indicates if the IP address is a proxy service.
string
required
Type of proxy used.
boolean
required
Indicates if accessed through Tor network.
boolean
required
Indicates if the user is a bot.
boolean
required
Indicates if it’s a Apple’s Private Relay connection.
boolean
required
Indicates if the IP address belong to a hosting provider.
boolean
required
Indicates if the IP address is blacklisted due to applying custom
rules or were found in one of
your blacklists.
object
The custom rules applied to this request, learn
more.
Hide properties
integer
required
The total number of custom rules applied to this request.
object
required
The custom rules applied to this request, learn
more.
Hide properties
string
required
The rule ID as shown in the dashboard (e.g: CR104).
string
required
The rule title you set when creating the rule.
string
required
Response status (success/error).
integer
required
Time taken to process the data (in milliseconds).
Was this page helpful?
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Greip API Documentation","colors":{"primary":"#008CFF","light":"#008CFF","dark":"#008CFF"},"logo":{"light":"https://mintcdn.com/greip/c6lrSS26RYZXvB76/logo/light.svg?fit=max\u0026auto=format\u0026n=c6lrSS26RYZXvB76\u0026q=85\u0026s=f19b2aac5c5fcac6cccf3ef89dc6cc9a","dark":"https://mintcdn.com/greip/c6lrSS26RYZXvB76/logo/dark.svg?fit=max\u0026auto=format\u0026n=c6lrSS26RYZXvB76\u0026q=85\u0026s=3662ee2aaf8fb03ca8ba5dd0cfeb4c59"},"favicon":"https://mintcdn.com/greip/c6lrSS26RYZXvB76/favicon-1.svg?fit=max\u0026auto=format\u0026n=c6lrSS26RYZXvB76\u0026q=85\u0026s=2b357f173640f57b886f5271c144c66d","api":{"openapi":"openapi/v2.json","playground":{"display":"interactive"},"mdx":{"auth":{"method":"bearer"},"server":"https://greipapi.com"}},"appearance":{"default":"dark"},"background":{"image":"https://mintcdn.com/greip/c6lrSS26RYZXvB76/images/background-light.png?fit=max\u0026auto=format\u0026n=c6lrSS26RYZXvB76\u0026q=85\u0026s=d5d027aef4f4e3d302c5530a198c7431"},"navbar":{"links":[{"href":"https://join.slack.com/t/greip-community/shared_invite/zt-2sxdyaaj8-418mMcVlekO6sNhKOAGWpg","label":"Community"}],"primary":{"type":"button","label":"Dashboard","href":"https://dashboard.greip.io/home"}},"footer":{"socials":{"linkedin":"https://www.linkedin.com/company/greip","github":"https://github.com/Greipio","website":"https://greip.io","x":"https://x.com/Greipio","slack":"https://join.slack.com/t/greip-community/shared_invite/zt-2sxdyaaj8-418mMcVlekO6sNhKOAGWpg"}},"contextual":{"options":["chatgpt","claude","copy","view"],"display":"header"},"styling":{"latex":false},"navigation":{"global":{"anchors":[{"anchor":"Integrations","icon":"gears","href":"https://greip.io/integrations/all"},{"anchor":"Changelog","icon":"clock-rotate-left","href":"https://changelog.greip.io"},{"anchor":"Server Status","icon":"signal-bars","href":"https://status.greip.io"},{"anchor":"Articles","icon":"rss","href":"https://greip.io/blog"},{"anchor":"Dictionary","icon":"book-open","href":"https://greip.io/blog/section/Dictionary"},{"anchor":"FAQ","icon":"circle-question","href":"https://greip.io/faq"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"greip","hasAudioNarration":false,"actualSubdomain":"greip","customDomains":["docs.greip.io"],"gitSource":{"type":"github","owner":"greipio","repo":"greip-docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"feedback":{"thumbs":true},"entitlements":{},"buildId":"6afa4c7759fc4106fcc65995","clientVersion":"0.0.4160","searchFilterCounts":[{"language":"default","tag":"API Reference","count":30},{"language":"default","tag":"Knowledge Base","count":29},{"language":"default","tag":"Data Lookup","count":18},{"language":"default","tag":"Documentation","count":15},{"language":"default","tag":"Integration Guide","count":12},{"language":"default","tag":"Account Management","count":11},{"language":"default","tag":"Risk Scoring","count":10},{"language":"default","tag":"Use cases","count":10},{"language":"default","tag":"Get Started","count":8},{"language":"default","tag":"Integrations","count":7}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":".panel{overflow:visible}.prose :where(.custom-link:hover):not(:where([class~=\"not-prose\"],[class~=\"not-prose\"] *)),.custom-link{display:inline-block;flex:unset;width:auto;border:unset!important;text-decoration:underline}.no-wrap-words{white-space:nowrap}"}],"page":{"pagePath":"api-reference/v1/endpoint/data-lookup/ip","slug":"/api-reference/v1/endpoint/data-lookup/ip","pageMetadata":{"title":"IP Lookup","description":"Use this API to retrieve comprehensive information about a given IP address. It provides details such as location, ISP, and potential risk factors, enabling you to analyze and verify IP data for enhanced security, fraud prevention, and user profiling.","api":"GET /lookup/ip","href":"/api-reference/v1/endpoint/data-lookup/ip"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Use this API to retrieve comprehensive information about a given IP address. It provides details such as location, ISP, and potential risk factors, enabling you to analyze and verify IP data for enhanced security, fraud prevention, and user profiling.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];const MCPCallout=()=>{const _components={a:`a`,..._provideComponents()};return _jsxs(`div`,{class:`callout mint-my-4 mint-px-5 mint-py-4 mint-overflow-hidden mint-rounded-2xl mint-flex mint-gap-3 mint-border border-[rgba(192, 132, 252, 0.2)] bg-[rgba(192, 132, 252, 0.1)] dark:mint-border-[#c084fc4d] dark:mint-bg-[#c084fc1a] mint-text-[#6005BB] dark:mint-text-[#FFFFFF]`,\"data-callout-type\":`callout`,children:[_jsx(`div`,{class:`mint-mt-0.5 mint-w-4`,\"data-component-part\":`callout-icon`,children:_jsx(`svg`,{class:`mint-h-4 mint-w-4 !mint-m-0 mint-shrink-0 mint-bg-[#c084fc] mint-[mask-image:url('https://d3gk2c5xim1je2.cloudfront.net/v7.1.0/duotone/fire.svg')] mint-[-webkit-mask-image:url('https://d3gk2c5xim1je2.cloudfront.net/v7.1.0/duotone/fire.svg')] mint-[mask-repeat:no-repeat] mint-[-webkit-mask-repeat:no-repeat] mint-[mask-position:center] mint-[-webkit-mask-position:center]`})}),_jsx(`div`,{class:`mint-text-sm prose dark:prose-invert mint-min-w-0 mint-w-full [\u0026_kbd]:bg-background-light dark:[\u0026_kbd]:bg-background-dark mint-text-[#6005BB] dark:mint-text-[#FFFFFF]`,\"data-component-part\":`callout-content`,children:_jsxs(`span`,{\"data-as\":`p`,children:[`Want to skip the docs? Use the`,` `,_jsx(_components.a,{class:`link mint-text-xs mint-border-[#C792FC]`,href:`/docs-mcp-server`,children:_jsx(`b`,{children:`MCP Server`})})]})})]})};const Availability=({plan,color})=>{const colorMap={green:`text-green-700 dark:text-green-400`,blue:`text-blue-700 dark:text-blue-400`,purple:`text-purple-700 dark:text-purple-400`};return _jsxs(`div`,{dir:`ltr`,\"data-orientation\":`horizontal`,class:`mint-p-4 mint-px-5 mint-mt-0 md:mint-mt-4 mint-flex mint-flex-col sm:mint-flex-row mint-flex-wrap mint-gap-2 mint-relative mint-overflow-hidden mint-rounded-2xl mint-border mint-border-gray-950/10 dark:mint-border-white/10 mint-my-0 mint-bg-gray-50 dark:mint-bg-white/5 dark:codeblock-dark mint-text-gray-950 dark:mint-text-gray-50 codeblock-light mint-text-sm prose prose-gray dark:prose-invert mint-font-semibold no-wrap-words`,children:[`Endpoint availability:`,` `,_jsx(`span`,{class:` ${{green:`mint-text-green-700 dark:mint-text-green-400`,blue:`mint-text-blue-700 dark:mint-text-blue-400`,purple:`mint-text-purple-700 dark:mint-text-purple-400`}[color]} mint-flex-1`,children:plan}),_jsx(`a`,{class:`custom-link mint-text-xs`,href:`https://greip.io/detailed-pricing`,children:`Learn more`})]})};function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,..._provideComponents(),...props.components},{Expandable,Heading,ParamField,ResponseField}=_components;if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);return _jsxs(_Fragment,{children:[_jsx(Heading,{level:`3`,id:`query-parameters`,children:`Query Parameters`}),`\n`,_jsxs(ParamField,{query:`ip`,type:`string`,placeholder:`IP address`,required:true,id:`param-ip`,children:[_jsx(_components.p,{children:`The ip command is used to specify the IP address you want to lookup.`}),_jsx(_components.p,{children:`Expected values: an IP address (IPv4 or IPv6)`}),_jsxs(_components.p,{children:[`Sample value: `,_jsx(_components.code,{children:`1.1.1.1`})]})]}),`\n`,_jsxs(ParamField,{query:`params`,type:`string`,placeholder:`The modules you want to use`,id:`param-params`,children:[_jsx(_components.p,{children:`The params command can be used to specify the required modules you want to get\nin the response.`}),_jsxs(_components.p,{children:[`Expected values: `,_jsx(_components.code,{children:`security`}),`, `,_jsx(_components.code,{children:`currency`}),`, `,_jsx(_components.code,{children:`timezone`}),`, and/or `,_jsx(_components.code,{children:`location`}),`.`]}),_jsxs(_components.p,{children:[`Sample value: `,_jsx(_components.code,{children:`security,timezone,currency`})]}),_jsxs(_components.p,{children:[`For more information please refer to `,_jsx(_components.a,{href:`/options/customize-modules`,children:`Customize response modules`}),`.`]})]}),`\n`,_jsxs(ParamField,{query:`format`,type:`string`,default:`JSON`,placeholder:`Response format`,id:`param-format`,children:[_jsx(_components.p,{children:`The format command is used to get a response in a specific format.`}),_jsxs(_components.p,{children:[`Expected values: `,_jsx(_components.code,{children:`JSON`}),`, `,_jsx(_components.code,{children:`XML`}),`, `,_jsx(_components.code,{children:`CSV`}),`, or `,_jsx(_components.code,{children:`Newline`})]}),_jsxs(_components.p,{children:[`For more information please refer to `,_jsx(_components.a,{href:`/options/response-format`,children:`Response Format`}),`.`]})]}),`\n`,_jsxs(ParamField,{query:`lang`,type:`string`,default:`EN`,placeholder:`Response language`,id:`param-lang`,children:[_jsx(_components.p,{children:`The lang command is used to get a response in a specific language.`}),_jsxs(_components.p,{children:[`Expected values: `,_jsx(_components.code,{children:`EN`}),`, `,_jsx(_components.code,{children:`AR`}),`, `,_jsx(_components.code,{children:`DE`}),`, `,_jsx(_components.code,{children:`FR`}),`, `,_jsx(_components.code,{children:`ES`}),`, `,_jsx(_components.code,{children:`JA`}),`, `,_jsx(_components.code,{children:`ZH`}),`, or `,_jsx(_components.code,{children:`RU`})]}),_jsxs(_components.p,{children:[`For more information please refer to `,_jsx(_components.a,{href:`/options/localization`,children:`Localization`}),`.`]})]}),`\n`,_jsxs(ParamField,{query:`mode`,type:`string`,default:`live`,placeholder:`Environment`,id:`param-mode`,children:[_jsx(_components.p,{children:`The mode command is used to in the development stage to simulate the integration process before releasing it to the production environment.`}),_jsxs(_components.p,{children:[`Expected values: `,_jsx(_components.code,{children:`live`}),`, or `,_jsx(_components.code,{children:`test`}),`.`]}),_jsxs(_components.p,{children:[`For more information please refer to `,_jsx(_components.a,{href:`/options/development-environment`,children:`Development Environment`}),`.`]})]}),`\n`,_jsxs(ParamField,{query:`userID`,type:`string`,placeholder:`User Identifier`,id:`param-user-id`,children:[_jsxs(_components.p,{children:[`The userID command can be used to identify requests sent by specific users to monitor in the `,_jsx(_components.a,{href:`/dashboard-guides/monitoring-capabilities/real-time-threat-monitoring`,children:`Events Page`}),`.`]}),_jsx(_components.p,{children:`Expected values: email address, phone number, user id, name, etc.`}),_jsxs(_components.p,{children:[`For more information please refer to `,_jsx(_components.a,{href:`/options/user-identifier`,children:`User Identifier`}),`.`]})]}),`\n`,_jsxs(ParamField,{query:`callback`,type:`string`,placeholder:`JSONP callback`,id:`param-callback`,children:[_jsx(_components.p,{children:`The callback command can help you make the response as a JSONP format.`}),_jsxs(_components.p,{children:[`Expected values: any name that can be used as a function name in Javascript, e.g: `,_jsx(_components.code,{children:`myFunctionName`}),`.`]}),_jsxs(_components.p,{children:[`For more information please refer to `,_jsx(_components.a,{href:`/options/jsonp-callback`,children:`JSONP Callback`}),`.`]})]}),`\n`,_jsx(Heading,{level:`3`,id:`response-properties`,children:`Response properties`}),`\n`,_jsxs(ResponseField,{name:`data`,type:`object`,required:true,id:`param-data`,children:[_jsxs(Expandable,{title:`properties`,defaultOpen:true,children:[_jsx(ResponseField,{name:`ip`,type:`string`,required:true,id:`param-ip-1`,children:_jsx(_components.p,{children:`IP address you’re looking up.`})}),_jsx(ResponseField,{name:`ipType`,type:`string`,required:true,id:`param-ip-type`,children:_jsxs(_components.p,{children:[`Type of IP address (`,_jsx(_components.code,{children:`IPv4`}),`, or `,_jsx(_components.code,{children:`IPv6`}),`).`]})}),_jsx(ResponseField,{name:`IPNumber`,type:`integer`,required:true,id:`param-ip-number`,children:_jsx(_components.p,{children:`Numeric representation of the IP address.`})}),_jsx(ResponseField,{name:`bogon`,type:`boolean`,required:true,id:`param-bogon`,children:_jsx(_components.p,{children:`Indicates if the IP address is a bogon.`})}),_jsx(ResponseField,{name:`continentName`,type:`string`,required:true,id:`param-continent-name`,children:_jsx(_components.p,{children:`Name of the continent where the IP address is.`})}),_jsx(ResponseField,{name:`continentCode`,type:`string`,required:true,id:`param-continent-code`,children:_jsx(_components.p,{children:`Code representation of the continent.`})}),_jsx(ResponseField,{name:`countryCode`,type:`string`,required:true,id:`param-country-code`,children:_jsxs(_components.p,{children:[`Code representation of the country in `,_jsx(_components.code,{children:`ISO-3166`}),` format.`]})}),_jsx(ResponseField,{name:`continentGeoNameID`,type:`integer`,required:true,id:`param-continent-geo-name-id`,children:_jsx(_components.p,{children:`GeoName ID of the continent.`})}),_jsx(ResponseField,{name:`countryName`,type:`string`,required:true,id:`param-country-name`,children:_jsx(_components.p,{children:`Name of the country.`})}),_jsx(ResponseField,{name:`countryGeoNameID`,type:`integer`,required:true,id:`param-country-geo-name-id`,children:_jsx(_components.p,{children:`GeoName ID of the country.`})}),_jsx(ResponseField,{name:`regionName`,type:`string`,required:true,id:`param-region-name`,children:_jsx(_components.p,{children:`Name of the region.`})}),_jsx(ResponseField,{name:`cityName`,type:`string`,required:true,id:`param-city-name`,children:_jsx(_components.p,{children:`Name of the city.`})}),_jsx(ResponseField,{name:`zipCode`,type:`string`,required:true,id:`param-zip-code`,children:_jsx(_components.p,{children:`ZIP code of the location where the IP address belong.`})}),_jsx(ResponseField,{name:`latitude`,type:`string`,required:true,id:`param-latitude`,children:_jsx(_components.p,{children:`Latitude coordinate of the location.`})}),_jsx(ResponseField,{name:`longitude`,type:`string`,required:true,id:`param-longitude`,children:_jsx(_components.p,{children:`Longitude coordinate of the location.`})}),_jsx(ResponseField,{name:`location`,type:`object`,required:true,id:`param-location`,children:_jsxs(Expandable,{title:`details`,children:[_jsx(ResponseField,{name:`capital`,type:`string`,required:true,id:`param-capital`,children:_jsx(_components.p,{children:`Capital city of the country.`})}),_jsx(ResponseField,{name:`population`,type:`integer`,required:true,id:`param-population`,children:_jsx(_components.p,{children:`Population of the country.`})}),_jsx(ResponseField,{name:`language`,type:`object`,required:true,id:`param-language`,children:_jsxs(Expandable,{title:`details`,children:[_jsx(ResponseField,{name:`name`,type:`string`,required:true,id:`param-name`,children:_jsx(_components.p,{children:`Official language of the country.`})}),_jsx(ResponseField,{name:`code`,type:`string`,required:true,id:`param-code`,children:_jsxs(_components.p,{children:[`Language code in `,_jsx(_components.code,{children:`ISO-639`}),` format.`]})}),_jsx(ResponseField,{name:`native`,type:`string`,required:true,id:`param-native`,children:_jsx(_components.p,{children:`Native name of the language.`})})]})}),_jsx(ResponseField,{name:`flag`,type:`object`,required:true,id:`param-flag`,children:_jsxs(Expandable,{title:`details`,children:[_jsx(ResponseField,{name:`emoji`,type:`string`,required:true,id:`param-emoji`,children:_jsx(_components.p,{children:`Flag emoji representation.`})}),_jsx(ResponseField,{name:`unicode`,type:`string`,required:true,id:`param-unicode`,children:_jsx(_components.p,{children:`Flag Unicode representation.`})}),_jsx(ResponseField,{name:`png`,type:`object`,required:true,id:`param-png`,children:_jsxs(Expandable,{title:`images`,children:[_jsx(ResponseField,{name:`1000px`,type:`string`,required:true,id:`param-1000px`,children:_jsx(_components.p,{children:`URL to 1000px PNG flag.`})}),_jsx(ResponseField,{name:`250px`,type:`string`,required:true,id:`param-250px`,children:_jsx(_components.p,{children:`URL to 250px PNG flag.`})}),_jsx(ResponseField,{name:`100px`,type:`string`,required:true,id:`param-100px`,children:_jsx(_components.p,{children:`URL to 100px PNG flag.`})})]})}),_jsx(ResponseField,{name:`svg`,type:`string`,required:true,id:`param-svg`,children:_jsx(_components.p,{children:`URL to SVG flag.`})})]})}),_jsx(ResponseField,{name:`phoneCode`,type:`string`,required:true,id:`param-phone-code`,children:_jsx(_components.p,{children:`International dialing code for the country.`})}),_jsx(ResponseField,{name:`countryIsEU`,type:`boolean`,required:true,id:`param-country-is-eu`,children:_jsx(_components.p,{children:`Indicates if the country is in the EU.`})}),_jsx(ResponseField,{name:`countryNeighbours`,type:`string`,required:true,id:`param-country-neighbours`,children:_jsx(_components.p,{children:`List of neighboring countries’ codes.`})}),_jsx(ResponseField,{name:`tld`,type:`string`,required:true,id:`param-tld`,children:_jsx(_components.p,{children:`Top-level domain of the country.`})})]})}),_jsx(ResponseField,{name:`currency`,type:`object`,required:true,id:`param-currency`,children:_jsxs(Expandable,{title:`details`,children:[_jsx(ResponseField,{name:`currencyName`,type:`string`,required:true,id:`param-currency-name`,children:_jsx(_components.p,{children:`Name of the currency.`})}),_jsx(ResponseField,{name:`currencyCode`,type:`string`,required:true,id:`param-currency-code`,children:_jsxs(_components.p,{children:[`Currency code in `,_jsx(_components.code,{children:`ISO-4217`}),` format.`]})}),_jsx(ResponseField,{name:`currencySymbol`,type:`string`,required:true,id:`param-currency-symbol`,children:_jsx(_components.p,{children:`Symbol of the currency.`})})]})}),_jsx(ResponseField,{name:`asn`,type:`object`,required:true,id:`param-asn`,children:_jsxs(Expandable,{title:`details`,children:[_jsx(ResponseField,{name:`asn`,type:`string`,required:true,id:`param-asn-1`,children:_jsx(_components.p,{children:`Autonomous System Number.`})}),_jsx(ResponseField,{name:`name`,type:`string`,required:true,id:`param-name-1`,children:_jsx(_components.p,{children:`Name of the ASN.`})}),_jsx(ResponseField,{name:`org`,type:`string`,required:true,id:`param-org`,children:_jsx(_components.p,{children:`Organization associated with the ASN.`})}),_jsx(ResponseField,{name:`phone`,type:`string`,required:true,id:`param-phone`,children:_jsx(_components.p,{children:`Phone contact for the ASN.`})}),_jsx(ResponseField,{name:`email`,type:`string`,required:true,id:`param-email`,children:_jsx(_components.p,{children:`Email contact for the ASN.`})}),_jsx(ResponseField,{name:`domain`,type:`string`,required:true,id:`param-domain`,children:_jsx(_components.p,{children:`Domain associated with the ASN.`})}),_jsx(ResponseField,{name:`created`,type:`string`,required:true,id:`param-created`,children:_jsx(_components.p,{children:`Date of ASN creation.`})}),_jsx(ResponseField,{name:`type`,type:`string`,required:true,id:`param-type`,children:_jsx(_components.p,{children:`Type of organization (“isp”, “hosting”, “business”, “education”, or\n“government”).`})})]})}),_jsx(ResponseField,{name:`timezone`,type:`object`,required:true,id:`param-timezone`,children:_jsxs(Expandable,{title:`details`,children:[_jsx(ResponseField,{name:`name`,type:`string`,required:true,id:`param-name-2`,children:_jsx(_components.p,{children:`Timezone name.`})}),_jsx(ResponseField,{name:`abbreviation`,type:`string`,required:true,id:`param-abbreviation`,children:_jsx(_components.p,{children:`Timezone abbreviation.`})}),_jsx(ResponseField,{name:`offset`,type:`integer`,required:true,id:`param-offset`,children:_jsx(_components.p,{children:`Timezone offset from UTC.`})}),_jsx(ResponseField,{name:`currentTime`,type:`string`,required:true,id:`param-current-time`,children:_jsx(_components.p,{children:`Current time in the timezone.`})}),_jsx(ResponseField,{name:`currentTimestamp`,type:`integer`,required:true,id:`param-current-timestamp`,children:_jsx(_components.p,{children:`Current timestamp in the timezone.`})}),_jsx(ResponseField,{name:`isDST`,type:`boolean`,required:true,id:`param-is-dst`,children:_jsx(_components.p,{children:`Indicates if Daylight Saving Time is active.`})}),_jsx(ResponseField,{name:`sunInfo`,type:`object`,required:true,id:`param-sun-info`,children:_jsxs(Expandable,{title:`details`,children:[_jsx(ResponseField,{name:`sunset`,type:`string`,required:true,id:`param-sunset`,children:_jsx(_components.p,{children:`Sunset time.`})}),_jsx(ResponseField,{name:`sunrise`,type:`string`,required:true,id:`param-sunrise`,children:_jsx(_components.p,{children:`Sunrise time.`})}),_jsx(ResponseField,{name:`transit`,type:`string`,required:true,id:`param-transit`,children:_jsx(_components.p,{children:`Solar transit time.`})}),_jsx(ResponseField,{name:`civilTwilightBegin`,type:`string`,required:true,id:`param-civil-twilight-begin`,children:_jsx(_components.p,{children:`Civil twilight begin time.`})}),_jsx(ResponseField,{name:`civilTwilightEnd`,type:`string`,required:true,id:`param-civil-twilight-end`,children:_jsx(_components.p,{children:`Civil twilight end time.`})}),_jsx(ResponseField,{name:`nauticalTwilightBegin`,type:`string`,required:true,id:`param-nautical-twilight-begin`,children:_jsx(_components.p,{children:`Nautical twilight begin time.`})}),_jsx(ResponseField,{name:`nauticalTwilightEnd`,type:`string`,required:true,id:`param-nautical-twilight-end`,children:_jsx(_components.p,{children:`Nautical twilight end time.`})}),_jsx(ResponseField,{name:`astronomicalTwilightBegin`,type:`string`,required:true,id:`param-astronomical-twilight-begin`,children:_jsx(_components.p,{children:`Astronomical twilight begin time.`})}),_jsx(ResponseField,{name:`astronomicalTwilightEnd`,type:`string`,required:true,id:`param-astronomical-twilight-end`,children:_jsx(_components.p,{children:`Astronomical twilight end time.`})}),_jsx(ResponseField,{name:`dayLength`,type:`string`,required:true,id:`param-day-length`,children:_jsx(_components.p,{children:`Length of the day.`})})]})})]})}),_jsxs(ResponseField,{name:`security`,type:`object`,required:true,id:`param-security`,children:[_jsxs(Expandable,{title:`details`,children:[_jsx(ResponseField,{name:`isProxy`,type:`boolean`,required:true,id:`param-is-proxy`,children:_jsx(_components.p,{children:`Indicates if the IP address is a proxy service.`})}),_jsx(ResponseField,{name:`proxyType`,type:`string`,required:true,id:`param-proxy-type`,children:_jsx(_components.p,{children:`Type of proxy used.`})}),_jsx(ResponseField,{name:`isTor`,type:`boolean`,required:true,id:`param-is-tor`,children:_jsx(_components.p,{children:`Indicates if accessed through Tor network.`})}),_jsx(ResponseField,{name:`isBot`,type:`boolean`,required:true,id:`param-is-bot`,children:_jsx(_components.p,{children:`Indicates if the user is a bot.`})}),_jsx(ResponseField,{name:`isRelay`,type:`boolean`,required:true,id:`param-is-relay`,children:_jsx(_components.p,{children:`Indicates if it’s a Apple’s Private Relay connection.`})}),_jsx(ResponseField,{name:`isHosting`,type:`boolean`,required:true,id:`param-is-hosting`,children:_jsx(_components.p,{children:`Indicates if the IP address belong to a hosting provider.`})}),_jsx(ResponseField,{name:`blacklisted`,type:`boolean`,required:true,id:`param-blacklisted`,children:_jsxs(_components.p,{children:[`Indicates if the IP address is blacklisted due to applying `,_jsx(_components.a,{href:`/knowledge-base/custom-rules/overview`,children:`custom\nrules`}),` or were found in one of\nyour blacklists.`]})})]}),_jsxs(ResponseField,{name:`custom_rules_applied`,type:`object`,id:`param-custom-rules-applied`,children:[_jsxs(_components.p,{children:[`The custom rules applied to this request, `,_jsx(_components.a,{href:`/knowledge-base/custom-rules/overview`,children:`learn\nmore`}),`.`]}),_jsxs(Expandable,{title:`properties`,defaultOpen:true,children:[_jsx(ResponseField,{name:`total`,type:`integer`,required:true,id:`param-total`,children:_jsx(_components.p,{children:`The total number of custom rules applied to this request.`})}),_jsxs(ResponseField,{name:`rules`,type:`object`,required:true,id:`param-rules`,children:[_jsxs(_components.p,{children:[`The custom rules applied to this request, `,_jsx(_components.a,{href:`/knowledge-base/custom-rules/overview`,children:`learn\nmore`}),`.`]}),_jsxs(Expandable,{title:`properties`,defaultOpen:true,children:[_jsx(ResponseField,{name:`id`,type:`string`,required:true,id:`param-id`,children:_jsxs(_components.p,{children:[`The rule ID as shown in the dashboard (e.g: `,_jsx(_components.code,{children:`CR104`}),`).`]})}),_jsx(ResponseField,{name:`title`,type:`string`,required:true,id:`param-title`,children:_jsx(_components.p,{children:`The rule title you set when creating the rule.`})})]})]})]})]})]})]}),_jsx(ResponseField,{name:`status`,type:`string`,required:true,id:`param-status`,children:_jsx(_components.p,{children:`Response status (success/error).`})}),_jsx(ResponseField,{name:`executionTime`,type:`integer`,required:true,id:`param-execution-time`,children:_jsx(_components.p,{children:`Time taken to process the data (in milliseconds).`})})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{MCPCallout,Availability,default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"IP Lookup","description":"Use this API to retrieve comprehensive information about a given IP address. It provides details such as location, ISP, and potential risk factors, enabling you to analyze and verify IP data for enhanced security, fraud prevention, and user profiling.","api":"GET /lookup/ip","href":"/api-reference/v1/endpoint/data-lookup/ip"}}},"mdxSourceWithNoJs":null,"noJsSplices":[[149,2540,"null;const Availability=()=>null;functio"]]},"panelMdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];const MCPCallout=()=>{const _components={a:`a`,..._provideComponents()};return _jsxs(`div`,{class:`callout mint-my-4 mint-px-5 mint-py-4 mint-overflow-hidden mint-rounded-2xl mint-flex mint-gap-3 mint-border border-[rgba(192, 132, 252, 0.2)] bg-[rgba(192, 132, 252, 0.1)] dark:mint-border-[#c084fc4d] dark:mint-bg-[#c084fc1a] mint-text-[#6005BB] dark:mint-text-[#FFFFFF]`,\"data-callout-type\":`callout`,children:[_jsx(`div`,{class:`mint-mt-0.5 mint-w-4`,\"data-component-part\":`callout-icon`,children:_jsx(`svg`,{class:`mint-h-4 mint-w-4 !mint-m-0 mint-shrink-0 mint-bg-[#c084fc] mint-[mask-image:url('https://d3gk2c5xim1je2.cloudfront.net/v7.1.0/duotone/fire.svg')] mint-[-webkit-mask-image:url('https://d3gk2c5xim1je2.cloudfront.net/v7.1.0/duotone/fire.svg')] mint-[mask-repeat:no-repeat] mint-[-webkit-mask-repeat:no-repeat] mint-[mask-position:center] mint-[-webkit-mask-position:center]`})}),_jsx(`div`,{class:`mint-text-sm prose dark:prose-invert mint-min-w-0 mint-w-full [\u0026_kbd]:bg-background-light dark:[\u0026_kbd]:bg-background-dark mint-text-[#6005BB] dark:mint-text-[#FFFFFF]`,\"data-component-part\":`callout-content`,children:_jsxs(`span`,{\"data-as\":`p`,children:[`Want to skip the docs? Use the`,` `,_jsx(_components.a,{class:`link mint-text-xs mint-border-[#C792FC]`,href:`/docs-mcp-server`,children:_jsx(`b`,{children:`MCP Server`})})]})})]})};const Availability=({plan,color})=>{const colorMap={green:`text-green-700 dark:text-green-400`,blue:`text-blue-700 dark:text-blue-400`,purple:`text-purple-700 dark:text-purple-400`};return _jsxs(`div`,{dir:`ltr`,\"data-orientation\":`horizontal`,class:`mint-p-4 mint-px-5 mint-mt-0 md:mint-mt-4 mint-flex mint-flex-col sm:mint-flex-row mint-flex-wrap mint-gap-2 mint-relative mint-overflow-hidden mint-rounded-2xl mint-border mint-border-gray-950/10 dark:mint-border-white/10 mint-my-0 mint-bg-gray-50 dark:mint-bg-white/5 dark:codeblock-dark mint-text-gray-950 dark:mint-text-gray-50 codeblock-light mint-text-sm prose prose-gray dark:prose-invert mint-font-semibold no-wrap-words`,children:[`Endpoint availability:`,` `,_jsx(`span`,{class:` ${{green:`mint-text-green-700 dark:mint-text-green-400`,blue:`mint-text-blue-700 dark:mint-text-blue-400`,purple:`mint-text-purple-700 dark:mint-text-purple-400`}[color]} mint-flex-1`,children:plan}),_jsx(`a`,{class:`custom-link mint-text-xs`,href:`https://greip.io/detailed-pricing`,children:`Learn more`})]})};function _createMdxContent(props){const _components={a:`a`,p:`p`,strong:`strong`,..._provideComponents(),...props.components},{Warning,_MdxComponentBoundary}=_components;if(!Warning)_missingMdxReference(`Warning`,true);if(!_MdxComponentBoundary)_missingMdxReference(`_MdxComponentBoundary`,true);return _jsxs(_Fragment,{children:[_jsx(Warning,{children:_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`API v1 is being deprecated.`}),` Greip will continue to support existing v1 integrations for now, but new endpoints, fields, and documentation updates ship on `,_jsx(_components.strong,{children:`API v2`}),` only. Switch the docs version to `,_jsx(_components.strong,{children:`API v2`}),` (recommended) or follow the `,_jsx(_components.a,{href:`/migration`,children:`Migrate from API v1 to v2`}),` guide to upgrade your integration.`]})}),`\n`,_jsx(_MdxComponentBoundary,{name:`MCPCallout`,children:_jsx(MCPCallout,{})}),`\n`,_jsx(_MdxComponentBoundary,{name:`Availability`,children:_jsx(Availability,{plan:`Standard and above`,color:`green`})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{MCPCallout,Availability,default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"IP Lookup","description":"Use this API to retrieve comprehensive information about a given IP address. It provides details such as location, ISP, and potential risk factors, enabling you to analyze and verify IP data for enhanced security, fraud prevention, and user profiling.","api":"GET /lookup/ip","href":"/api-reference/v1/endpoint/data-lookup/ip"}}},"mdxSourceWithNoJs":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];const MCPCallout=()=>null;const Availability=()=>null;function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,..._provideComponents(),...props.components},{CodeBlock,ResponseExample,Warning,_MdxComponentBoundary}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!ResponseExample)_missingMdxReference(`ResponseExample`,true);if(!Warning)_missingMdxReference(`Warning`,true);if(!_MdxComponentBoundary)_missingMdxReference(`_MdxComponentBoundary`,true);return _jsxs(_Fragment,{children:[_jsx(Warning,{children:_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`API v1 is being deprecated.`}),` Greip will continue to support existing v1 integrations for now, but new endpoints, fields, and documentation updates ship on `,_jsx(_components.strong,{children:`API v2`}),` only. Switch the docs version to `,_jsx(_components.strong,{children:`API v2`}),` (recommended) or follow the `,_jsx(_components.a,{href:`/migration`,children:`Migrate from API v1 to v2`}),` guide to upgrade your integration.`]})}),`\n`,_jsx(_MdxComponentBoundary,{name:`MCPCallout`,children:_jsx(MCPCallout,{})}),`\n`,_jsx(_MdxComponentBoundary,{name:`Availability`,children:_jsx(Availability,{plan:`Standard and above`,color:`green`})}),`\n`,_jsxs(ResponseExample,{children:[_jsx(CodeBlock,{filename:`Success`,numberOfLines:`88`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`88`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"data\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"ip\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"165.227.149.217\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"ipType\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"IPv4\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"IPNumber\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`2783155673`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"bogon\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`false`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"continentName\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Europe\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"continentCode\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"EU\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"countryCode\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"DE\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"continentGeoNameID\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`6255148`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"countryName\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Germany\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"countryGeoNameID\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`2921044`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"regionName\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Hessen\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"cityName\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Frankfurt am Main\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"zipCode\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"65931\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"latitude\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"50.115520\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"longitude\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"8.684170\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"location\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"capital\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Berlin\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"population\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`83783942`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"language\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: { `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"German\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"code\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"de\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"native\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Deutsch\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"flag\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"emoji\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"🇩🇪\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"unicode\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"U+1F1E9 U+1F1EA\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"png\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"1000px\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://www.gredev.io/img/flags/png1000px/de.png\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"250px\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://www.gredev.io/img/flags/png250px/de.png\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"100px\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://www.gredev.io/img/flags/png100px/de.png\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"svg\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://www.gredev.io/img/flags/svg/de.svg\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"phoneCode\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"49\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"countryIsEU\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"countryNeighbours\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"CH,PL,NL,DK,BE,CZ,LU,FR,AT\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"tld\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\".de\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"currency\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"currencyName\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Euro\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"currencyCode\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"EUR\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"currencySymbol\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"€\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"asn\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"asn\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"AS14061\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"DIGITALOCEAN-ASN\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"org\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"DigitalOcean, LLC\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"phone\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"+1-347-875-6044\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"email\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"noc@digitalocean.com\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"domain\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"digitalocean.com\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"created\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2012-05-14\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"hosting\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"timezone\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Europe/Berlin\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"abbreviation\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"CET\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"offset\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`3600`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"currentTime\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"03:33:13\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"currentTimestamp\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1709519593`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"isDST\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`false`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"sunInfo\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"sunset\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"18:14:11\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"sunrise\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"06:59:29\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"transit\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"12:36:50\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"civilTwilightBegin\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"06:28:47\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"civilTwilightEnd\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"18:44:53\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"nauticalTwilightBegin\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"05:51:20\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"nauticalTwilightEnd\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"19:22:21\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"astronomicalTwilightBegin\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"05:13:27\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"astronomicalTwilightEnd\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"20:00:13\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"dayLength\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"11:14:42\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"security\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"isProxy\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"proxyType\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"VPN\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"isTor\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`false`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"isBot\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`false`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"isRelay\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`false`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"isHosting\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"blacklisted\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`false`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"custom_rules_applied\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"total\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"rules\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: []`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"success\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"executionTime\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`4`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`Error`,numberOfLines:`6`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`6`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"error\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"code\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`101`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"invalid_key\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"The API Key is missing or invalid.\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{MCPCallout,Availability,default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"IP Lookup","description":"Use this API to retrieve comprehensive information about a given IP address. It provides details such as location, ISP, and potential risk factors, enabling you to analyze and verify IP data for enhanced security, fraud prevention, and user profiling.","api":"GET /lookup/ip","href":"/api-reference/v1/endpoint/data-lookup/ip"}}}},"mdxExtracts":{"tableOfContents":[{"title":"Query Parameters","slug":"query-parameters","depth":3,"children":[]},{"title":"Response properties","slug":"response-properties","depth":3,"children":[]}],"panel":{"content":"export const MCPCallout = () => {\n return \u003cdiv class=\"callout my-4 px-5 py-4 overflow-hidden rounded-2xl flex gap-3 border border-[rgba(192, 132, 252, 0.2)] bg-[rgba(192, 132, 252, 0.1)] dark:border-[#c084fc4d] dark:bg-[#c084fc1a] text-[#6005BB] dark:text-[#FFFFFF]\" data-callout-type=\"callout\">\n \u003cdiv class=\"mt-0.5 w-4\" data-component-part=\"callout-icon\">\n \u003csvg class=\"h-4 w-4 !m-0 shrink-0 bg-[#c084fc] [mask-image:url('https://d3gk2c5xim1je2.cloudfront.net/v7.1.0/duotone/fire.svg')] [-webkit-mask-image:url('https://d3gk2c5xim1je2.cloudfront.net/v7.1.0/duotone/fire.svg')] [mask-repeat:no-repeat] [-webkit-mask-repeat:no-repeat] [mask-position:center] [-webkit-mask-position:center]\">\u003c/svg>\n \u003c/div>\n \u003cdiv class=\"text-sm prose dark:prose-invert min-w-0 w-full [\u0026_kbd]:bg-background-light dark:[\u0026_kbd]:bg-background-dark text-[#6005BB] dark:text-[#FFFFFF]\" data-component-part=\"callout-content\">\n \u003cspan data-as=\"p\">\n Want to skip the docs? Use the{\" \"}\n \u003ca class=\"link mint-text-xs border-[#C792FC]\" href=\"/docs-mcp-server\">\n \u003cb>MCP Server\u003c/b>\n \u003c/a>\n \u003c/span>\n \u003c/div>\n \u003c/div>;\n};\nexport const Availability = ({plan, color}) => {\n const colorMap = {\n green: \"text-green-700 dark:text-green-400\",\n blue: \"text-blue-700 dark:text-blue-400\",\n purple: \"text-purple-700 dark:text-purple-400\"\n };\n return \u003cdiv dir=\"ltr\" data-orientation=\"horizontal\" class=\"p-4 px-5 mt-0 md:mt-4 flex flex-col sm:flex-row flex-wrap gap-2 relative overflow-hidden rounded-2xl border border-gray-950/10 dark:border-white/10 my-0 bg-gray-50 dark:bg-white/5 dark:codeblock-dark text-gray-950 dark:text-gray-50 codeblock-light text-sm prose prose-gray dark:prose-invert font-semibold no-wrap-words\">\n Endpoint availability:{\" \"}\n \u003cspan class={` ${colorMap[color]} flex-1`}>{plan}\u003c/span>\n \u003ca class=\"custom-link text-xs\" href=\"https://greip.io/detailed-pricing\">\n Learn more\n \u003c/a>\n \u003c/div>;\n};\n\n\u003cWarning>\n **API v1 is being deprecated.** Greip will continue to support existing v1 integrations for now, but new endpoints, fields, and documentation updates ship on **API v2** only. Switch the docs version to **API v2** (recommended) or follow the [Migrate from API v1 to v2](/migration) guide to upgrade your integration.\n\u003c/Warning>\n\n\u003cMCPCallout />\n\n\u003cAvailability plan=\"Standard and above\" color=\"green\" />\n\n\u003cResponseExample>\n ```json Success theme={null}\n {\n \"data\": {\n \"ip\": \"165.227.149.217\",\n \"ipType\": \"IPv4\",\n \"IPNumber\": 2783155673,\n \"bogon\": false,\n \"continentName\": \"Europe\",\n \"continentCode\": \"EU\",\n \"countryCode\": \"DE\",\n \"continentGeoNameID\": 6255148,\n \"countryName\": \"Germany\",\n \"countryGeoNameID\": 2921044,\n \"regionName\": \"Hessen\",\n \"cityName\": \"Frankfurt am Main\",\n \"zipCode\": \"65931\",\n \"latitude\": \"50.115520\",\n \"longitude\": \"8.684170\",\n \"location\": {\n \"capital\": \"Berlin\",\n \"population\": 83783942,\n \"language\": { \"name\": \"German\", \"code\": \"de\", \"native\": \"Deutsch\" },\n \"flag\": {\n \"emoji\": \"🇩🇪\",\n \"unicode\": \"U+1F1E9 U+1F1EA\",\n \"png\": {\n \"1000px\": \"https://www.gredev.io/img/flags/png1000px/de.png\",\n \"250px\": \"https://www.gredev.io/img/flags/png250px/de.png\",\n \"100px\": \"https://www.gredev.io/img/flags/png100px/de.png\"\n },\n \"svg\": \"https://www.gredev.io/img/flags/svg/de.svg\"\n },\n \"phoneCode\": \"49\",\n \"countryIsEU\": true,\n \"countryNeighbours\": \"CH,PL,NL,DK,BE,CZ,LU,FR,AT\",\n \"tld\": \".de\"\n },\n \"currency\": {\n \"currencyName\": \"Euro\",\n \"currencyCode\": \"EUR\",\n \"currencySymbol\": \"€\"\n },\n \"asn\": {\n \"asn\": \"AS14061\",\n \"name\": \"DIGITALOCEAN-ASN\",\n \"org\": \"DigitalOcean, LLC\",\n \"phone\": \"+1-347-875-6044\",\n \"email\": \"noc@digitalocean.com\",\n \"domain\": \"digitalocean.com\",\n \"created\": \"2012-05-14\",\n \"type\": \"hosting\"\n },\n \"timezone\": {\n \"name\": \"Europe/Berlin\",\n \"abbreviation\": \"CET\",\n \"offset\": 3600,\n \"currentTime\": \"03:33:13\",\n \"currentTimestamp\": 1709519593,\n \"isDST\": false,\n \"sunInfo\": {\n \"sunset\": \"18:14:11\",\n \"sunrise\": \"06:59:29\",\n \"transit\": \"12:36:50\",\n \"civilTwilightBegin\": \"06:28:47\",\n \"civilTwilightEnd\": \"18:44:53\",\n \"nauticalTwilightBegin\": \"05:51:20\",\n \"nauticalTwilightEnd\": \"19:22:21\",\n \"astronomicalTwilightBegin\": \"05:13:27\",\n \"astronomicalTwilightEnd\": \"20:00:13\",\n \"dayLength\": \"11:14:42\"\n }\n },\n \"security\": {\n \"isProxy\": true,\n \"proxyType\": \"VPN\",\n \"isTor\": false,\n \"isBot\": false,\n \"isRelay\": false,\n \"isHosting\": true,\n \"blacklisted\": false\n },\n \"custom_rules_applied\": {\n \"total\": 0,\n \"rules\": []\n }\n },\n \"status\": \"success\",\n \"executionTime\": 4\n }\n ```\n\n ```json Error theme={null}\n {\n \"status\": \"error\",\n \"code\": 101,\n \"type\": \"invalid_key\",\n \"description\": \"The API Key is missing or invalid.\"\n }\n ```\n\u003c/ResponseExample>\n"},"codeExamples":{"response":{"type":"ResponseExample","children":[{"filename":"Success","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"88\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"data\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"ip\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"165.227.149.217\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"ipType\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"IPv4\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"IPNumber\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">2783155673\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"bogon\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">false\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"continentName\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Europe\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"continentCode\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"EU\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"countryCode\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"DE\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"continentGeoNameID\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">6255148\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"countryName\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Germany\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"countryGeoNameID\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">2921044\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"regionName\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Hessen\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"cityName\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Frankfurt am Main\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"zipCode\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"65931\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"latitude\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"50.115520\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"longitude\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"8.684170\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"location\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"capital\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Berlin\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"population\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">83783942\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"language\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: { \u003c/span>\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\">\"name\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"German\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">, \u003c/span>\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\">\"code\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"de\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">, \u003c/span>\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\">\"native\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Deutsch\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> },\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"flag\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"emoji\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"🇩🇪\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"unicode\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"U+1F1E9 U+1F1EA\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"png\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"1000px\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"https://www.gredev.io/img/flags/png1000px/de.png\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"250px\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"https://www.gredev.io/img/flags/png250px/de.png\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"100px\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"https://www.gredev.io/img/flags/png100px/de.png\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> },\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"svg\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"https://www.gredev.io/img/flags/svg/de.svg\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> },\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"phoneCode\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"49\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"countryIsEU\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">true\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"countryNeighbours\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"CH,PL,NL,DK,BE,CZ,LU,FR,AT\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"tld\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\".de\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> },\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u
[...]
